Remove an IP from the blocklist
curl --request DELETE \
--url https://your-instance.example.com/api/organizations/{organizationId}/blocked-ips/{ip} \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-instance.example.com/api/organizations/{organizationId}/blocked-ips/{ip}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-instance.example.com/api/organizations/{organizationId}/blocked-ips/{ip}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "IP blocked successfully",
"data": {
"blockedIPs": [
"203.0.113.42"
]
}
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}{
"error": "Organization not found",
"details": "No organization exists with the provided id"
}Organizations
Remove an IP from the blocklist
Removes an IP from the org blocklist and invalidates the Redis blocklist cache so the IP can reconnect on its next webchat session.
DELETE
/
api
/
organizations
/
{organizationId}
/
blocked-ips
/
{ip}
Remove an IP from the blocklist
⌘I